diff -Nur vte-0.24.0.orig//src/vtebg.c vte-0.24.0/src/vtebg.c
--- vte-0.24.0.orig//src/vtebg.c	2010-01-21 23:42:23.000000000 +0800
+++ vte-0.24.0/src/vtebg.c	2010-04-09 10:40:55.000000000 +0800
@@ -469,6 +469,10 @@
 			item->source_file = g_strdup(source_file);
 			pixbuf = gdk_pixbuf_new_from_file(source_file, NULL);
 		}
+		// in case of input file is invalid.
+		if (! pixbuf) {
+			return NULL;
+		}
 		break;
 	default:
 		g_assert_not_reached();
@@ -479,8 +483,12 @@
 		width = gdk_pixbuf_get_width(pixbuf);
 		height = gdk_pixbuf_get_height(pixbuf);
 	} else {
-		width = cairo_xlib_surface_get_width(bg->root_surface);
-		height = cairo_xlib_surface_get_height(bg->root_surface);
+		if (bg->root_surface) {
+			width = cairo_xlib_surface_get_width(bg->root_surface);
+			height = cairo_xlib_surface_get_height(bg->root_surface);
+		} else {
+			return NULL;
+		}
 	}
 
 	item->surface =
